Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7882 - RPM incorrectly says there is no space on filesystem.
Summary: RPM incorrectly says there is no space on filesystem.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-18 23:08 UTC by richard.delorenzi
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-19 17:53:33 UTC


Attachments (Terms of Use)

Description richard.delorenzi 1999-12-18 23:08:06 UTC
Both GNORPM and kpackage give the following report when I try to install
star office (this package installed under 6.0), also tryed other packages.
I have All of RedHat6.1GPL installed. (this installed when I upgraded, I
did not use upgrade option I just overwrote the whole OS except /home then
fixed some config files in /etc)

Installing package XXXX needs 23M on / file system.

The root file system has 139M free.
df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/hda1             1.5G  1.3G  139M  90% /
/dev/hda5             499M  168M  305M  36% /home
/dev/hdb              411M  411M     0 100% /mnt/cdrom

It is read/write
mount
/dev/hda1 on / type ext2 (rw)
none on /proc type proc (rw)
/dev/hda5 on /home type ext2 (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/hdb on /mnt/cdrom type iso9660 (ro,nosuid,nodev,user=delor)

Comment 1 Jeff Johnson 1999-12-19 17:53:59 UTC
Do you have symlinks pointing into /mnt/cdrom ?

Does the package have paths that traverse those symlinks?

Meanwhile, add --ignoresize to the rpm command to skip disk space checking.

Comment 2 Jeff Johnson 2001-01-08 19:24:00 UTC
Closed for lack of input.


Note You need to log in before you can comment on or make changes to this bug.